aboutsummaryrefslogtreecommitdiff
path: root/bin/build_html
diff options
context:
space:
mode:
Diffstat (limited to 'bin/build_html')
-rwxr-xr-xbin/build_html20
1 files changed, 2 insertions, 18 deletions
diff --git a/bin/build_html b/bin/build_html
index 43d2f01..533e17c 100755
--- a/bin/build_html
+++ b/bin/build_html
@@ -3,7 +3,6 @@
set -e -u -o pipefail -x
: ${MDBOOK:=mdbook}
-: ${MMDC:=mmdc}
TOPLEVEL=$(realpath $(dirname "$0"))/..
cd "${TOPLEVEL}"
@@ -11,24 +10,9 @@ cd "${TOPLEVEL}"
./bin/make_redirects
-# We can't use mktemp here, since we need the actual
-# path in build.html
-TMPDIR="${TOPLEVEL}/tmp_mermaid/"
-rm -rf "$TMPDIR"
-mkdir -p "${TOPLEVEL}/tmp_mermaid/"
-trap 'rm -rf ${TOPLEVEL}/tmp_mermaid' 0
+./bin/mermaid_cvt_svg
-# We make a mirror of the specs, since we will need to make changes to them.
-cp -rl spec ./tmp_mermaid/spec
-# We use mermaid-cli to extract the mermaid from any file containing it,
-# and generate a new version that uses svg instead.
-for fname in $(find ./tmp_mermaid -name "*.md") ; do
- if grep '^```mermaid' $fname; then
- ORIG="${fname%.md}.__orig.md"
- mv $fname $ORIG
- $MMDC -i $ORIG -o $fname
- fi
-done
+trap 'rm -rf ${TOPLEVEL}/tmp_mermaid' 0
cd "${TOPLEVEL}/mdbook/spec"
$MDBOOK build